/*
 *  Crow, a GUI designer for GTK+
 *  Copyright (c) 2005-2010 Maxim Udushlivy
 *
 *  Permission is hereby granted, free of charge, to any person
 *  obtaining a copy of this software and associated documentation
 *  files (the "Software"), to deal in the Software without
 *  restriction, including without limitation the rights to use, copy,
 *  modify, merge, publish, distribute, sublicense, and/or sell copies
 *  of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be
 *  included in all copies or substantial portions of the Software.
 *
 *  The software is provided "as is", without warranty of any kind,
 *  express or implied, including but not limited to the warranties of
 *  merchantability, fitness for a particular purpose and
 *  noninfringement. In no event shall the authors or copyright
 *  holders be liable for any claim, damages or other liability,
 *  whether in an action of contract, tort or otherwise, arising from,
 *  out of or in connection with the software or the use or other
 *  dealings in the software.
 */

#ifndef CROW_HEADERS_H
#define CROW_HEADERS_H

#ifdef CROW_SANDBOX
	#define G_DISABLE_DEPRECATED
	#define PANGO_DISABLE_DEPRECATED
	#define ATK_DISABLE_DEPRECATED
	#define GDK_DISABLE_DEPRECATED
	#define GDK_PIXBUF_DISABLE_DEPRECATED
	#define GTK_DISABLE_DEPRECATED
	#define GLIBMM_DISABLE_DEPRECATED
	#define GIOMM_DISABLE_DEPRECATED
	#define PANGOMM_DISABLE_DEPRECATED
	#define ATKMM_DISABLE_DEPRECATED
	#define GDKMM_DISABLE_DEPRECATED
	#define GTKMM_DISABLE_DEPRECATED
#endif

#include <guiloader.h>

#define GETTEXT_PACKAGE "crow"
#include <glib/gi18n-lib.h>

#ifdef __GNUC__
	#include <cxxabi.h>
#endif

#include <guiloader-c++.h>

#include <boost/format.hpp>
#include <boost/tokenizer.hpp>

#include <cassert>
#include <map>
#include <vector>
#include <string>
#include <list>
#include <set>
#include <iostream>
#include <sstream>
#include <iomanip>

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#endif
